RSS   Vulnerabilities for 'Torrenttrader'   RSS

2009-03-06
 
CVE-2008-6418

CWE-89
 

 
SQL injection vulnerability in scrape.php in TorrentTrader before 2008-05-13 allows remote attackers to execute arbitrary SQL commands via the info_hash parameter.

 
2008-10-08
 
CVE-2008-4494

CWE-89
 

 
SQL injection vulnerability in completed-advance.php in TorrentTrader Classic 1.08 and 1.04 and earlier allows remote attackers to execute arbitrary SQL commands via the id parameter.

 
2008-03-05
 
CVE-2008-1173

CWE-79
 

 
Cross-site scripting (XSS) vulnerability in account-inbox.php in TorrentTrader Classic 1.08 allows remote attackers to inject arbitrary web script or HTML via the msg parameter.

 
 
CVE-2008-1172

CWE-352
 

 
Cross-site request forgery (CSRF) vulnerabilities in account-inbox.php in TorrentTrader Classic 1.08 allow remote attackers to perform certain actions as other users, as demonstrated by sending messages.

 
2007-10-09
 
CVE-2007-5312

CWE-79
 

 
Cross-site scripting (XSS) vulnerability in TorrentTrader Classic 1.07 allows remote attackers to inject arbitrary web script or HTML via the (1) color parameter to pjirc/css.php and the (2) cat parameter to browse.php.

 
 
CVE-2007-5311

CWE-22
 

 
Directory traversal vulnerability in backend/admin-functions.php in TorrentTrader Classic Edition 1.07 allows remote attackers to include and execute arbitrary local files via a .. (dot dot) in the ss_uri parameter.

 
2007-09-12
 
CVE-2007-4831

CWE-79
 

 
Multiple cross-site scripting (XSS) vulnerabilities in account_settings.php in TorrentTrader 1.07 allow remote attackers to inject arbitrary web script or HTML via the (1) avatar and (2) title parameters.

 
2007-08-24
 
CVE-2007-4536

 

 
TorrentTrader 1.07 and earlier sets insecure permissions for files in the root directory, which allows attackers to execute arbitrary PHP code by modifying (1) disclaimer.txt, (2) sponsors.txt, and (3) banners.txt, which are used in an include call. NOTE: there might be local attack vectors that extend to other files.

 
2007-08-20
 
CVE-2007-4435

 

 
Multiple SQL injection vulnerabilities in TorrentTrader before 1.07 allow remote attackers to execute arbitrary SQL commands via unspecified parameters to (1) account-inbox.php, (2) account-settings.php, and possibly (3) backend/functions.php.

 

 >>> Vendor: Torrenttrader 2 Products
Torrenttrader
Torrenttrader classic


Copyright 2020, cxsecurity.com

 

Back to Top